anova.coxph {survival} | R Documentation

## Analysis of Deviance for a Cox model.

### Description

Compute an analysis of deviance table for one or more Cox model fits.

### Usage

    ## S3 method for class 'coxph'
    anova(object, ...,  test = 'Chisq')

### Arguments

`object` | An object of class `coxph`
`...` | Further `coxph` objects
`test` | a character string. The appropriate test is a chisquare, all other choices result in no test being done.

### Details

Specifying a single object gives a sequential analysis of deviance table for that fit. That is, the reductions in the model log-likelihood as each term of the formula is added in turn are given in as the rows of a table, plus the log-likelihoods themselves. A robust variance estimate is normally used in situations where the model may be mis-specified, e.g., multiple events per subject. In this case a comparison of partial-likelihood values does not make sense, and `anova` will refuse to print results.

If more than one object is specified, the table has a row for the degrees of freedom and loglikelihood for each model. For all but the first model, the change in degrees of freedom and loglik is also given. (This only make statistical sense if the models are nested.) It is conventional to list the models from smallest to largest, but this is up to the user.

The table will optionally contain test statistics (and P values) comparing the reduction in loglik for each row.

### Value

An object of class `"anova"` inheriting from class `"data.frame"`.

### Warning

The comparison between two or more models by `anova` or will only be valid if they are fitted to the same dataset. This may be a problem if there are missing values.

### See Also

`coxph`, `anova`.

### Examples

    fit <- coxph(Surv(futime, fustat) ~ resid.ds *rx + ecog.ps, data = ovarian)
    anova(fit)
    fit2 <- coxph(Surv(futime, fustat) ~ resid.ds +rx + ecog.ps, data=ovarian)
    anova(fit2,fit)

[Package survival version 2.39-4 Index]